Skip to main content

Query the APIKey of a sub-account

Get API key information for the specified sub-account.

HTTP Request

  • GET /api/v3/sub-account/apiKey

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
subAccountSTRINGYESSub-account Name
recvWindowLONGNO
timestampLONGYES

Response Parameters

NameTypeDescription
subAccountarrayAPIKey list
notestringAPIKey note (item in subAccount)
apiKeystringAPI public key (item in subAccount)
permissionsstringAPIKey permissions (item in subAccount)
ipstringLinked IP addresses (item in subAccount)
createTimelongCreation time, Unix millisecond timestamp (item in subAccount)

Response

   {
"subAccount":[
{
"note":"v5",
"apiKey":"arg13sdfgs",
"permissions":"SPOT_ACCOUNT_READ,SPOT_ACCOUNT_WRITE",
"ip":"1.1.1.1,2.2.2.2",
"createTime":1597026383085
},
{
"note":"v5.1",
"apiKey":"arg13sdfgs12",
"permissions":"SPOT_ACCOUNT_READ,SPOT_ACCOUNT_WRITE",
"ip":"1.1.1.1,2.2.2.2",
"createTime":1597026383085
}
]
}